### Method

# Ide Debugger get_can_move

#### Declaration

    gboolean
    ide_debugger_get_can_move (
      IdeDebugger* self,
      IdeDebuggerMovement movement
    )

#### Description

Checks to see if the debugger can make the movement matching `movement`.

Available since: | 3.32

#### Parameters

`movement` | `IdeDebuggerMovement`
| The movement to check.

#### Return value

Returns: | `gboolean`
| `TRUE` if `movement` can be performed.